import { IQuoteInfo, IQuoteRequestPremiumContainerComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuoteRequestPremiumContainer implements IQuoteRequestPremiumContainerComponent {
    /**
     * Quote info
     */
    quoteInfo: IQuoteInfo;
    annualPrice: string;
    downpayment: string;
    installments: number;
    monthlyPrice: string;
    price: string;
    showTotalPremium: boolean;
    termLength: string;
    totalPremium: string;
    useExternal: boolean;
    resetState(): void;
    componentWillLoad(): void;
    onQuoteInfoChange(quoteInfo: IQuoteInfo): void;
    setAnnual(quoteInfo: IQuoteInfo): void;
    setSemiAnnual(quoteInfo: IQuoteInfo): void;
    updateTotalPremium(quoteInfo: IQuoteInfo): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
